<?php

namespace App\Modules\UserTask\Models;

use App\Modules\TableSuffix;
use Illuminate\Database\Eloquent\Model;

class UserRepeatTask extends Model
{
    use TableSuffix;

    protected $table = 'qapp_user_repeat_task';
    protected $connection = 'qapp_order_mysql';
    protected $fillable = [
        'uid',
        'task_id',
        'status',
        'type',
        'value',
        'date',
    ];

    public static function model(int $uid)
    {
        self::suffix($uid % 32);
        return new static;
    }
}
